# Uses of Interface
alt.javax.mail.Message

Packages that use Message
Package
Description
alt.javax.mail
alt.javax.mail.internet
com.mockobjects.mail
com.mockobjects.mail.internet

## Uses of Message in alt.javax.mail

Classes in alt.javax.mail that implement Message
Modifier and Type
Class
Description
`class`
`MessageImpl`
Methods in alt.javax.mail that return Message
Modifier and Type
Method
Description
`Message`
Message.`reply(boolean b)`
`final Message`
MessageImpl.`reply(boolean b)`
Methods in alt.javax.mail with parameters of type Message
Modifier and Type
Method
Description
`void`
Transport.`send(Message message)`
`void`
Transport.`send(Message message, Address[] addresses)`
`void`
TransportImpl.`send(Message message)`
`void`
TransportImpl.`send(Message message, Address[] addresses)`
`void`
Transport.`sendMessage(Message message, Address[] addresses)`
`void`
TransportImpl.`sendMessage(Message message, Address[] addresses)`

## Uses of Message in alt.javax.mail.internet

Subinterfaces of Message in alt.javax.mail.internet
Modifier and Type
Interface
Description
`interface`
`MimeMessage`
Classes in alt.javax.mail.internet that implement Message
Modifier and Type
Class
Description
`class`
`MimeMessageImpl`

## Uses of Message in com.mockobjects.mail

Classes in com.mockobjects.mail that implement Message
Modifier and Type
Class
Description
`class`
`MockMessage`
Methods in com.mockobjects.mail that return Message
Modifier and Type
Method
Description
`Message`
MockMessage.`reply(boolean b)`
Methods in com.mockobjects.mail with parameters of type Message
Modifier and Type
Method
Description
`void`
MockTransport.`send(Message aMessage)`
`void`
MockTransport.`send(Message msg, Address[] address)`
`void`
MockTransport.`sendMessage(Message msg, Address[] address)`
`void`
MockTransport.`setExpectedMessage(Message aMessage)`

## Uses of Message in com.mockobjects.mail.internet

Classes in com.mockobjects.mail.internet that implement Message
Modifier and Type
Class
Description
`class`
`MockMimeMessage`